import java.util.ArrayList;

public class Nand extends Gate {
  public Nand(float delay, Simulator s) {
	super(delay,nextId++, s);
  }
  public void connectInput(Wire w){
	inWires.add(w);
	w.connectTo(this);
  }
  public boolean computeOutput(){
	boolean output = true;
	for(Wire w : inWires){
		 output &= w.getValue();
	}
	return(!output);
  }  
  private ArrayList<Wire> inWires= new ArrayList<Wire>();
  private static int nextId = 0;
}